%define fullname mysql-connector-java

Summary: JDBC driver for MySQL
Name: mysql-jdbc
Version: 3.0.8
Release: 2
URL: http://www.mysql.com/products/connector-j/
Source: %{fullname}-%{version}-stable.tar.gz
Patch1: %{name}-build.patch
Patch2: %{name}-nossl.patch
License: GPL
Group: Applications/Databases
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: ant
Prereq: redhat-java-rpm-scripts >= 1.0.2-2
BuildArch: noarch

%description
MySQL Connector/J is an implementation of the JDBC API for the MySQL
relational database server.

%package tomcat
Summary: MySQL JDBC driver for Tomcat
Group: Applications/Databases
Requires: %{name} = %{version}-%{release}
Requires: tomcat

%description tomcat
The mysql-jdbc-tomcat package makes the MySQL JDBC driver available to
the Tomcat Java Servlet container.

%prep
%setup -c -q
rmdir clover
mv -f %{fullname}-%{version}-stable/* .
rmdir %{fullname}-%{version}-stable
%patch1 -p0 -b .build
%patch2 -p0 -b .nossl
find -name "*.jar" -or -name "*.class" | xargs rm -f

%build
ant

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/java
install -m 644 \
    build/%{fullname}-%{version}-stable/%{fullname}-%{version}-stable-bin.jar \
    $RPM_BUILD_ROOT/%{_datadir}/java/%{name}-%{version}.jar

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/tomcat/common/lib
ln -s ../../../java/%{name}-%{version}.jar \
    $RPM_BUILD_ROOT/%{_datadir}/tomcat/common/lib/%{name}.jar

%post
%{_sbindir}/javaconfig %{_datadir}/java/%{name}.jar

%postun
%{_sbindir}/javaconfig %{_datadir}/java/%{name}.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING README
%{_datadir}/java/*.jar

%files tomcat
%defattr(-,root,root)
%{_datadir}/tomcat/common/lib/*.jar

%changelog
* Tue Feb 24 2004 Gary Benson <gbenson@redhat.com> 3.0.8-2
- Rebuild for Fedora.

* Fri Sep 12 2003 Gary Benson <gbenson@redhat.com> 3.0.8-1
- Initial revision.
